Bug 9169 - Wrap relator code in <span> to allow for CSS customization
Summary: Wrap relator code in <span> to allow for CSS customization
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-29 16:00 UTC by Owen Leonard
Modified: 2013-12-05 20:09 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9169 - Wrap relator code in <span> to allow for CSS customization (2.91 KB, patch)
2012-11-29 16:58 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9169 - Wrap relator code in <span> to allow for CSS customization (2.93 KB, patch)
2012-12-07 17:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9169 - Wrap relator code in <span> to allow for CSS customization (2.98 KB, patch)
2012-12-21 15:52 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-11-29 16:00:30 UTC
Some libraries would like to be able to hide relator codes when displaying authorities in the OPAC and staff client. Adding a <span> with class "relatorcode" would allow this text to be hidden via CSS.
Comment 1 Owen Leonard 2012-11-29 16:02:25 UTC
Sorry, bibliographic records, not authorities.
Comment 2 Owen Leonard 2012-11-29 16:58:21 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2012-12-07 17:01:45 UTC Comment hidden (obsolete)
Comment 4 Paul Poulain 2012-12-21 15:51:54 UTC
QA comment
 * tiny patch, touches XSLT only, no side effect risk
 * passes koha-qa.pl

passed QA

(QUESTION TO MAGNUS : don't you need the same patch for NORMARC ?)
Comment 5 Paul Poulain 2012-12-21 15:52:08 UTC
Created attachment 14241 [details] [review]
Bug 9169 - Wrap relator code in <span> to allow for CSS customization

This patch adds <span class="relatorcode"> around the display of
relator codes in the OPAC and the staff client, and adds a space
before the bracket (" [relatorcode]") for readability.

To test, add custom CSS to OPACUserCSS and IntranetUserCSS and
view a record which includes relator code data. Suggested:

.relatorcode {
    background-color: rgb(230, 240, 242);
    border-radius: 3px 3px 3px 3px;
    color: rgb(51, 51, 51);
    display: inline-block;
    font-size: 75%;
    font-weight: normal;
    margin-left: 0.4em;
    padding: 0.1em 0.4em;
}

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 6 Jared Camins-Esakov 2012-12-22 21:43:43 UTC
This patch has been pushed to master.
Comment 7 Chris Cormack 2012-12-26 19:53:57 UTC
Pushed to 3.10.x will be in 3.10.2
Comment 8 Chris Cormack 2012-12-26 20:00:57 UTC
Pushed to 3.8.x, will be in 3.8.9
Comment 9 Magnus Enger 2012-12-28 13:03:04 UTC
(In reply to comment #4)
> (QUESTION TO MAGNUS : don't you need the same patch for NORMARC ?)

No, it does not look like NORMARC uses relator codes. But thanks for thinking about us! :-)
Comment 10 mathieu saby 2013-05-02 09:31:47 UTC
I think a followup would be usefull for Unimarc. I will make a new bug for it.
M. Saby